Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

I screwed up authorizenet.php


native

Recommended Posts

I was reading an old solution and cannot believe that I did this -- I am always really careful about making a backup copy of my files before I change them, but didn't this time and now cannot pull up payment modules in admin. Can anyone please give me the correct statement that should go into authorizenet.php instead of what I have? Down toward the bottom of the file, I have the following:

 

// Code 3 is an error - but anything else is an error too (IMHO)

 

tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, 'error_message=' . urlencode(MODULE_PAYMENT_AUTHORIZENET_TEXT_ERROR_MESSAGE), 'SSL', true, false));

 

 

Could you please tell me what it should be for standard authorizenet.php module without any contributions added to it?

 

Thanks a million!

Link to comment
Share on other sites

Why not just download OSC again and look at the file?

 

You don't say which version you're working with, but for the 2.2M2 051113

	  // Code 3 is an error - but anything else is an error too (IMHO)
  tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, 'error_message=' . urlencode(MODULE_PAYMENT_AUTHORIZENET_TEXT_ERROR_MESSAGE), 'SSL', true, false));

Link to comment
Share on other sites

I didn't download it to install it -- my ISP installs it for me via Fantastico. I am using 2.2 MS2. I didn't want to reinstall in case it overwrote my existing files. I tried your code and am getting the same error. I will try downloading the files on my PC and look at them there. Thanks for your input.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...